PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List opportunities GETCreate an opportunity POSTGet an opportunity GETUpdate an opportunity PATCHDelete an opportunity DELETEMove an opportunity POST
Opportunities

Move an opportunity

A LOST stage needs closeReason. A nurture stage (isNurture) needs nurtureReason. Leaving a nurture stage (including Won, Lost, and other OPEN stages) clears nurtureReason. Moving to an OPEN stage also clears closeReason and closedAt.

POST
/opportunities/{opportunityId}/move

A LOST stage needs closeReason. A nurture stage (isNurture) needs nurtureReason. Leaving a nurture stage (including Won, Lost, and other OPEN stages) clears nurtureReason. Moving to an OPEN stage also clears closeReason and closedAt.

Authorization

x-api-key<token>

In: header

Path Parameters

opportunityId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/opportunities/string/move" \  -H "Content-Type: application/json" \  -d '{    "stageId": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "pipelineId": "string",    "stageId": "string",    "contactId": "string",    "customerId": "string",    "name": "string",    "value": 0,    "currency": "string",    "ownerMembershipId": "string",    "nextFollowUpAt": "2019-08-24T14:15:22Z",    "rank": "string",    "qualFit": true,    "qualTimeline": true,    "qualBudget": true,    "qualDecisionMaker": true,    "qualAge": true,    "isQualified": true,    "closeReason": "NOT_FIT",    "closeNote": "string",    "nurtureReason": "TIMING",    "closedAt": "2019-08-24T14:15:22Z"  }}

Delete an opportunity DELETE

Previous Page

List invoices GET

Next Page

stageId*string
beforeOpportunityId?string
afterOpportunityId?string
closeReason?OpportunityCloseReason

Value in

  • "NOT_FIT"
  • "MINOR_NO_CONSENT"
  • "SPAM"
  • "DUPLICATE"
  • "PRICE"
  • "COMPETITOR"
  • "NO_RESPONSE"
  • "OTHER"
closeNote?string
Lengthlength <= 500
nurtureReason?OpportunityNurtureReason

Value in

  • "TIMING"
  • "MONEY"
  • "DECISION_MAKER"
  • "OTHER"